# Interface methods for submodule: IPLCommonImageIO
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageIOBaseProxy as _ImageIOBaseProxy


# Interface methods for class: IPLCommonImageIO
class IPLCommonImageIOProxy(_ImageIOBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def CanReadFile(self, FileNameToRead) -> bool:
		""""""
		...

	def ReadImageInformation(self) -> None:
		""""""
		...

	def ModifyImageInformation(self) -> None:
		""""""
		...

	def Read(self, buffer) -> None:
		""""""
		...

	def GetComponentSize(self) -> int:
		""""""
		...

	def CanWriteFile(self, FileNameToWrite) -> bool:
		""""""
		...

	def WriteImageInformation(self) -> None:
		""""""
		...

	def Write(self, buffer) -> None:
		""""""
		...

	def SortImageListByNameAscend(self) -> None:
		""""""
		...

	def SortImageListByNameDescend(self) -> None:
		""""""
		...

